## giosrc giosrc — Read from any GIO-supported location |

## Synopsis

                        GstGioSrc;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSrc
                         +----GstGioBaseSrc
                               +----GstGioSrc

## Implemented Interfaces

GstGioSrc implements GstURIHandler.

## Properties

      "location"                 gchar*                : Read / Write
      "file"                     GFile*                : Read / Write

## Description

This plugin reads data from a local or remote location specified by an URI. This location can be specified using any protocol supported by the GIO library or it's VFS backends. Common protocols are 'file', 'http', 'ftp', or 'smb'.

### Example launch lines

    gst-launch -v giosrc location=file:///home/joe/foo.xyz ! fakesink

The above pipeline will simply read a local file and do nothing with the data read. Instead of giosrc, we could just as well have used the filesrc element here.

    gst-launch -v giosrc location=smb://othercomputer/foo.xyz ! filesink location=/home/joe/foo.xyz

The above pipeline will copy a file from a remote host to the local file system using the Samba protocol.

    gst-launch -v giosrc location=http://music.foobar.com/demo.mp3 ! mad ! audioconvert ! audioresample ! alsasink

The above pipeline will read and decode and play an mp3 file from a web server using the http protocol.

## Synopsis

### Element Information

plugin | gio
author | René Stadler <mail@renestadler.de>, Sebastian Dröge <slomo@circular-chaos.org>
class | Source/File

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Details

### GstGioSrc

    typedef struct _GstGioSrc GstGioSrc;

Opaque data structure.

## Property Details

### The `"location"` property

      "location"                 gchar*                : Read / Write

URI location to read from.

Default value: NULL

### The `"file"` property

      "file"                     GFile*                : Read / Write

`GFile` to read from.

Since 0.10.20

## See Also

#GstFileSrc, GstGnomeVFSSrc, GstGioSink